Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class PluginManager

    java.lang.Object
      com.sun.syndication.io.impl.PluginManager

Direct Known Subclasses:
  Converters, FeedGenerators, FeedParsers, ModuleGenerators, ModuleParsers

    public abstract class PluginManager

extends Object

Author:
  Alejandro Abdelnur

Constructor Summary
`protected` | `PluginManager(String propertyKey)` Creates a PluginManager
`protected` | `PluginManager(String propertyKey, WireFeedParser parentParser, WireFeedGenerator parentGenerator)`

Method Summary
`protected abstract String` | `getKey(Object obj)`
`protected List` | `getKeys()`
`protected Object` | `getPlugin(String key)`
`protected Map` | `getPluginMap()`
`protected List` | `getPlugins()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginManager

    protected PluginManager(String propertyKey)

  Creates a PluginManager

  Parameters:
    `propertyKey` - property key defining the plugins classes

### PluginManager

    protected PluginManager(String propertyKey,
                            WireFeedParser parentParser,
                            WireFeedGenerator parentGenerator)

Method Detail

### getKey

    protected abstract String getKey(Object obj)

### getKeys

    protected List getKeys()

### getPlugins

    protected List getPlugins()

### getPluginMap

    protected Map getPluginMap()

### getPlugin

    protected Object getPlugin(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.